<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: videogallery.php
| Author: Nick Jones (Digitanium)
| Co-Author: Robert Gaudyn (Wooya)
| Editor: MeTRoiD (PHP-Fusion Latvia)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."videogallery_panel/infusion_db.php";

if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videogallery.php")) {
    include INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videogallery.php";
} else {
    include INFUSIONS."videogallery_panel/locale/English/videogallery.php";
}

define("SAFEMODE", @ini_get("safe_mode") ? true : false);
define("VIDEOS", INFUSIONS."videogallery_panel/images/");

add_to_title($locale['global_200'].$locale['VG400']);

if (isset($_GET['video_id']) && isnum($_GET['video_id'])){
	$result = dbquery(
		"SELECT tp.video_title, tp.video_description, tp.video_video, tp.video_datestamp, tp.video_views,
		tp.video_order, tp.video_allow_comments, tp.video_allow_ratings, ta.album_id, ta.album_title, ta.album_access,
		tu.user_id, tu.user_name, tu.user_status, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_videos." tp
		LEFT JOIN ".DB_video_albums." ta USING (album_id)
		LEFT JOIN ".DB_USERS." tu ON tp.video_user=tu.user_id
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.video_id AND tr.rating_type='V'
		WHERE video_id='".$_GET['video_id']."' GROUP BY tp.video_id"
	);
	$data = dbarray($result);
	if (!checkgroup($data['album_access'])) {
		redirect(FUSION_SELF);
	} else {
		define("videoDIR", VIDEOS.(!SAFEMODE ? "album_".$data['album_id']."/" : ""));
		include INCLUDES."comments_include.php";
		include INCLUDES."ratings_include.php";
		$result=dbquery("UPDATE ".DB_videos." SET video_views=(video_views+1) WHERE video_id='".$_GET['video_id']."'");

		$pres = dbquery("SELECT video_id FROM ".DB_videos." WHERE video_order='".($data['video_order']-1)."' AND album_id='".$data['album_id']."'");
		$nres = dbquery("SELECT video_id FROM ".DB_videos." WHERE video_order='".($data['video_order']+1)."' AND album_id='".$data['album_id']."'");
		$fres = dbquery("SELECT video_id FROM ".DB_videos." WHERE video_order='1' AND album_id='".$data['album_id']."'");
		$lastres = dbresult(dbquery("SELECT MAX(video_order) FROM ".DB_videos." WHERE album_id='".$data['album_id']."'"), 0);
		$lres = dbquery("SELECT video_id FROM ".DB_videos." WHERE video_order>='".$lastres."' AND album_id='".$data['album_id']."'");
		if (dbrows($pres)) $prev = dbarray($pres);
		if (dbrows($nres)) $next = dbarray($nres);
		if (dbrows($fres)) $first = dbarray($fres);
		if (dbrows($lres)) $last = dbarray($lres);

		opentable($locale['VG450']);
		echo "<!--pre_video-->";

		add_to_title($locale['global_201'].$data['video_title']);

		add_to_head("<link rel='stylesheet' href='".INCLUDES."jquery/colorbox/colorbox.css' type='text/css' media='screen' />");
		add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/colorbox/jquery.colorbox.js'></script>");
		add_to_head("<script type='text/javascript'>\n
			/* <![CDATA[ */\n
				jQuery(document).ready(function(){
					jQuery('a.videogallery_video_link').colorbox({
						width:'80%', height:'80%', video:true
					});
				});\n
			/* ]]>*/\n
		</script>\n");
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td class='tbl2'>\n";
		echo "<a href='".FUSION_SELF."'>".$locale['VG400']."</a> &gt;\n";
		echo "<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>".$data['album_title']."</a>\n";
		echo ($data['video_title'] ? " &gt; <strong>".$data['video_title']."</strong>" : "")."\n</td>\n";
		if ((isset($prev['video_id']) && isnum($prev['video_id'])) || (isset($next['video_id']) && isnum($next['video_id']))) {
			if (isset($prev) && isset($first)) { echo "<td width='1%' class='tbl2'><a href='".FUSION_SELF."?video_id=".$first['video_id']."' title='".$locale['VG459']."'>".get_image("go_first", $locale['VG459'], "border:none;", "", "")."</a></td>\n"; }
			if (isset($prev)) { echo "<td width='1%' class='tbl2'><a href='".FUSION_SELF."?video_id=".$prev['video_id']."' title='".$locale['VG451']."'>".get_image("go_previous", $locale['VG451'], "border:none;", "", "")."</a></td>\n"; }
			if (isset($next)) { echo "<td width='1%' class='tbl2'><a href='".FUSION_SELF."?video_id=".$next['video_id']."' title='".$locale['VG452']."'>".get_image("go_next", $locale['VG452'], "border:none;", "", "")."</a></td>\n"; }
			if (isset($next) && isset($last)) { echo "<td width='1%' class='tbl2'><a href='".FUSION_SELF."?video_id=".$last['video_id']."' title='".$locale['VG460']."'>".get_image("go_last", $locale['VG460'], "border:none;", "", "")."</a></td>\n"; }
		}
		echo "</tr>\n</table>\n";

		echo "<div id='videogallery' align='center' style='margin:5px;'>\n";
		echo "<object width='560' height='315'><param name='movie' value='http://www.youtube.com/v/".$data['video_video']."?version=3&amp;hl=en_US'></param><param name='allowFullScreen' value='true'></param><param name='allowscriptaccess' value='always'></param><embed src='http://www.youtube.com/v/".$data['video_video']."?version=3&amp;hl=en_US' type='application/x-shockwave-flash' width='560' height='315' allowscriptaccess='always' allowfullscreen='true'></embed></object>";
		echo "</div>\n";
		echo "<div align='center' style='margin:5px 0px 5px 0px' class='videogallery_video_desc'><!--videogallery_video_desc-->\n";
		if ($data['video_description']) {
			echo nl2br(parseubb($data['video_description'], "b|i|u|center|small|url|mail|img|quote"))."<br /><br />\n";
		}
		echo $locale['VG433'].showdate("shortdate", $data['video_datestamp'])."<br />\n";
		echo $locale['VG434'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
		$video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='VG' AND comment_item_id='".$_GET['video_id']."'");
		echo ($data['video_allow_comments'] ? ($video_comments == 1 ? $locale['VG436b'] : $locale['VG436']).$video_comments."<br />\n" : "");
		echo ($data['video_allow_ratings'] ? $locale['VG437'].($data['count_votes'] > 0 ? str_repeat("<img src='".get_image("star")."' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['VG438'])."<br />\n" : "");
		echo $locale['VG457'].$data['video_views']."\n</div>\n";
		echo "<!--sub_video-->";
		closetable();
		if ($data['video_allow_comments']) { showcomments("VG", DB_videos, "video_id", $_GET['video_id'], FUSION_SELF."?video_id=".$_GET['video_id']); }
		if ($data['video_allow_ratings']) { showratings("V", $_GET['video_id'], FUSION_SELF."?video_id=".$_GET['video_id']); }
	}
} elseif (isset($_GET['album_id']) && isnum($_GET['album_id'])) {
	define("videoDIR", VIDEOS.(!SAFEMODE ? "album_".$_GET['album_id']."/" : ""));
	$result = dbquery(
		"SELECT album_title, album_description, album_thumb, album_access FROM ".DB_video_albums." WHERE album_id='".$_GET['album_id']."'"
	);
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		$data = dbarray($result);
		if (!checkgroup($data['album_access'])) {
			redirect(FUSION_SELF);
		} else {
			$rows = dbcount("(video_id)", DB_videos, "album_id='".$_GET['album_id']."'");
			add_to_title($locale['global_201'].$data['album_title']);
			opentable($locale['VG420']);
			echo "<!--pre_album_info-->";
			echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
			echo "<td rowspan='2' align='center' class='tbl1 videogallery_album_thumb'><!--videogallery_album_thumb-->";
				if ($data['album_thumb'] && file_exists(VIDEOS.$data['album_thumb'])){
					echo "<img src='".VIDEOS.$data['album_thumb']."' alt='".$data['album_thumb']."' height='75' width='100' title='".$data['album_title']."' />";
				} else {
					echo $locale['VG432'];
				}
			echo "</td>\n";
			echo "<td valign='top' width='100%'><div class='tbl2' style='font-weight:bold;vertical-align:top'>".$locale['VG421'].$data['album_title']."</div>\n";
			echo "<div class='tbl1 videogallery_album_desc' style='vertical-align:middle'><!--videogallery_album_desc-->".nl2br(parseubb($data['album_description']))."</div>\n</td>\n</tr>\n";
			echo "<tr>\n<td valign='bottom' width='100%'>\n<div class='tbl2' style='vertical-align:bottom'>\n";
			if ($rows) {
				$pdata = dbarray(dbquery("
					SELECT tp.video_datestamp, tu.user_id, tu.user_name, tu.user_status FROM ".DB_videos." tp
					LEFT JOIN ".DB_USERS." tu ON tp.video_user=tu.user_id
					WHERE album_id='".$_GET['album_id']."' ORDER BY video_datestamp DESC LIMIT 1"
				));
				echo $locale['VG422']."$rows<br />\n";
				echo $locale['VG423'].profile_link($pdata['user_id'], $pdata['user_name'], $pdata['user_status'])."".$locale['VG424'].showdate("longdate", $pdata['video_datestamp'])."\n";
			} else {
				echo $locale['VG425']."\n";
			}
			echo "</div>\n</td>\n</tr>\n</table>";
			echo "<!--sub_album_info-->";
			closetable();
			if ($rows) {

				opentable($locale['VG430']);
				if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
				$result = dbquery(
					"SELECT tp.video_id, tp.video_title, tp.video_video, tp.video_views, tp.video_datestamp, tp.video_allow_comments, tp.video_allow_ratings,
					tu.user_id, tu.user_name, tu.user_status, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
					FROM ".DB_videos." tp
					LEFT JOIN ".DB_USERS." tu ON tp.video_user=tu.user_id
					LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.video_id AND tr.rating_type='V'
					WHERE album_id='".$_GET['album_id']."' GROUP BY video_id ORDER BY video_order LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']
				);
				$counter = 0;
				echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n<td class='tbl2'>\n";
				echo "<a href='".FUSION_SELF."'>".$locale['VG400']."</a> &gt;\n";
				echo "<a href='".FUSION_SELF."?album_id=".$_GET['album_id']."'>".$data['album_title']."</a>\n";
				echo "</td>\n</tr>\n</table>\n";
				if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3, FUSION_SELF."?album_id=".$_GET['album_id']."&amp;")."\n</div>\n"; }
				echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
				while ($data = dbarray($result)) {
					if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n"; }
					echo "<td align='center' valign='top' class='tbl'>\n";
					echo "<strong>".$data['video_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?video_id=".$data['video_id']."' class='videogallery_album_video_link'><!--videogallery_album_video_".$data['video_id']."-->";
					if ($data['video_video']){
						echo "<img src='http://i2.ytimg.com/vi/".$data['video_video']."/default.jpg' alt='".$data['video_title']."' height='75' width='100' title='".$data['video_title']."' class='videogallery_album_video' />";
					} else {
						echo $locale['VG432'];
					}
					echo "</a><br /><br />\n<span class='small videogallery_album_video_info'> <!--videogallery_album_video_info-->\n";
					echo $locale['VG433'].showdate("shortdate", $data['video_datestamp'])."<br />\n";
					echo $locale['VG434'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
					$video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='VG' AND comment_item_id='".$data['video_id']."'");
					echo ($data['video_allow_comments'] ? ($video_comments == 1 ? $locale['VG436b'] : $locale['VG436']).$video_comments."<br />\n" : "");
					echo ($data['video_allow_ratings'] ? $locale['VG437'].($data['count_votes'] > 0 ? str_repeat("<img src='".get_image("star")."' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['VG438'])."<br />\n" : "");
					echo $locale['VG435'].$data['video_views']."</span><br />\n";
					echo "</td>\n";
					$counter++;
				}
				echo "</tr>\n</table>\n";
				closetable();
			}
			if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3, FUSION_SELF."?album_id=".$_GET['album_id']."&amp;")."\n</div>\n"; }
		}
	}
} else {
	opentable($locale['VG400']);
	$rows = dbcount("(album_id)", DB_video_albums, groupaccess('album_access'));
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$result = dbquery(
			"SELECT ta.album_id, ta.album_title, ta.album_thumb, ta.album_datestamp,
			tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_video_albums." ta
			LEFT JOIN ".DB_USERS." tu ON ta.album_user=tu.user_id
			WHERE ".groupaccess('album_access')." ORDER BY album_order
			LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']
		);
		$counter = 0; $r = 0; $k = 1;
		if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3)."\n</div>\n"; }
		echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n"; }
			echo "<td align='center' valign='top' class='tbl'>\n";
			echo "<strong>".$data['album_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>";
			if ($data['album_thumb'] && file_exists(VIDEOS.$data['album_thumb'])){
				echo "<img src='".VIDEOS.$data['album_thumb']."' alt='".$data['album_title']."' height='75' width='100' title='".$locale['VG401']."' />";
			} else {
				echo $locale['VG402'];
			}
			echo "</a><br /><br />\n<span class='small'>\n";
			echo $locale['VG403'].showdate("shortdate", $data['album_datestamp'])."<br />\n";
			echo $locale['VG404'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
			echo $locale['VG405'].dbcount("(video_id)", DB_videos, "album_id='".$data['album_id']."'")."</span><br />\n";
			echo "</td>\n";
			$counter++; $k++;
		}
		echo "</tr>\n</table>\n";
		closetable();
		if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3)."\n</div>\n"; }
	}else{
		echo "<div style='text-align:center'><br />".$locale['VG406']."<br /><br /></div>\n";
		closetable();
	}
}
echo $locale['VG_COPY'];
require_once THEMES."templates/footer.php";
?>